/*
 * Copyright (c) 2006 by Hansjoerg Lipp <hjlipp@web.de>
 *
 * =====================================================================
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 * =====================================================================
 */

#ifndef MAIN_H
#define MAIN_H

#include <QApplication>
#include <QString>

#define App (dynamic_cast<Application*>(qApp))

class Application: public QApplication
{
	Q_OBJECT
public:
	Application(int &argc, char **argv, const QString &name);
	const QString dataDir() const { return datadir; }
private:
	QString datadir;
	QString appname;
};

#endif
