/*
 * Copyright (c) 2006 by Kolja Waschk (ixo.de)
 * 
 * Derived from sms.h, 
 *   Copyright (c) 2003 by Hansjoerg Lipp (hjlipp@web.de)
 *
 * =====================================================================
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 * =====================================================================
 */

#ifndef GIGASET_AM_H
#define GIGASET_AM_H

#include <stdint.h>
#include "interf.h"

int gigaset_amend(struct gstatus * gs);
int gigaset_amstart(struct gstatus *gs, unsigned amindex);
int gigaset_amcontinue(struct gstatus *gs);
ssize_t gigaset_amgetlist(struct gstatus * gs, char ** buffer);
ssize_t gigaset_aminfo(struct gstatus * gs, unsigned hdl, char **buffer);
ssize_t gigaset_amgetmsg(struct gstatus * gs, unsigned hdl, char ** buffer);
int gigaset_amputmsg(struct gstatus * gs, const char * buffer, size_t len);
int gigaset_amdelmsg(struct gstatus * gs, unsigned hdl);
int gigaset_amdelall(struct gstatus * gs);
int gigaset_amdeltyped(struct gstatus * gs, unsigned msgtype);

#endif /* GIGASET_AM_H */
