/*
 * Copyright (c) 2003 by Hansjoerg Lipp (hjlipp@web.de)
 *
 * =====================================================================
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 * =====================================================================
 */

#ifndef GIGASET_BASEMISC_H
#define GIGASET_BASEMISC_H

#include "interf.h"

int gigaset_msnget (struct gstatus * gs, int id, char ** buf);
int gigaset_msnset (struct gstatus * gs, int id, const char * buf);
int gigaset_cfxset (struct gstatus * gs, const char * msn, int mode, int proc, int service, char * to_msn);
int gigaset_vendor (struct gstatus * gs, char ** buf);
int gigaset_product (struct gstatus * gs, char ** buf);
int gigaset_version (struct gstatus * gs, char ** buf);
int gigaset_dsversion (struct gstatus * gs, char ** buf);
int gigaset_device (struct gstatus * gs, char ** buf);
int gigaset_dial(struct gstatus *gs, unsigned type, const char *number, const char *id);

#endif /* GIGASET_BASEMISC_H */
