/*
 * This part of the configuration program handles the block transfer
 *
 * Copyright (c) 2003 by Hansjoerg Lipp (hjlipp@web.de)
 *
 * =====================================================================
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 * =====================================================================
 */


#ifndef GIGASET_BLOCK_H
#define GIGASET_BLOCK_H

#include <stdint.h>
#include "interf.h"


int gigaset_blocksend (struct gstatus * gs, size_t size, uint8_t datatype, const char * data);
ssize_t gigaset_blockreceive (struct gstatus * gs, uint8_t datatype, char ** buffer);


#endif /* GIGASET_BLOCK_H */
