/*
 * Copyright (c) 2006 by Hansjoerg Lipp <hjlipp@web.de>
 *
 * =====================================================================
 *      This program is free software; you can redistribute it and/or
 *      modify it under the terms of the GNU General Public License as
 *      published by the Free Software Foundation; either version 2 of
 *      the License, or (at your option) any later version.
 * =====================================================================
 */

#ifndef QGSTATE_H
#define QGSTATE_H

#include <QObject>
#include "gigaset.hh"

class GigasetQt : public QObject, public Gigaset
{
	Q_OBJECT
public:
	virtual void available(bool status) { emit deviceAvailable(status); }
signals:
	void deviceAvailable(bool status);
};

#endif
